#
# spec file for package apparmor-provider-notifications (Version 1.0.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl apparmor-parser attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx blocxx-devel bzip2 cim-schema coreutils cpio cpp cracklib curl cvs cyrus-sasl db dejagnu diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expect file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libgssapi libidn libmudflap libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libxml2 libxslt libzio limal limal-apparmor-notifications limal-apparmor-notifications-devel limal-devel limal-devtools m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl openwbem openwbem-devel pam pam-modules patch pcre pcre-devel perl perl-Config-IniFiles perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline recode rpm sed strace swig sysvinit tar tcl tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           apparmor-provider-notifications
BuildRequires:  curl gcc-c++ limal-apparmor-notifications-devel limal-devtools openwbem-devel
URL:            http://forge.novell.com/modules/xfmod/project/?apparmor
PreReq:         /usr/bin/loadmof.sh, coreutils
%define novellprefix /usr
%define novelllocalstatedir /var/lib/openwbem
%define novellsysconfdir /etc/openwbem
Version:        1.0.1
Release:        1.3
License:        GNU General Public License (GPL)
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-mof.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          System/Management
Summary:        CIM provider for managing the AppArmor notification system.

%description
CIM provider for managing the AppArmor notification system.



Authors:
--------
    mbarringer@suse.de

%debug_package
%prep
%setup

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-L%{_libdir}/limal" ./configure --prefix=%{novellprefix} \
	--libdir=%{_libdir}
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir} -p %RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
MOFDIR=$RPM_BUILD_ROOT/%{novellprefix}/share/mof/%{name}
install -d $MOFDIR
tar jxv -C $MOFDIR -f %{S:1}
%{__rm} -f $RPM_BUILD_ROOT%{novellprefix}/%_lib/openwbem/c++providers/*.{a,la}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
%run_ldconfig
MOFDIR=%{novellprefix}/share/mof/%{name}
loadmof.sh -v -n root/cimv2 $MOFDIR/apparmor-provider-notifications.mof

%preun
if [ "x$1" = "x0" ]; then
  MOFDIR=%{novellprefix}/share/mof/%{name}
  rmmof.sh -n root/cimv2 $MOFDIR/apparmor-provider-notifications.mof
fi

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%{novellprefix}/%_lib/openwbem/c++providers/*.so*
%dir %{novellprefix}/share/mof/%{name}
%{novellprefix}/share/mof/%{name}/*

%changelog
* Thu May 03 2007 - mbarringer@suse.de
- Fixing bug 270601.  The provider now throws an error when a
  notification is submitted without an email address.
* Fri Jan 12 2007 - mbarringer@suse.de
- Initial checkin of version 1.0.0 (fate #300904)
